<template>
	
</template>

<script lang="ts">
	import {
		Vue,
		Component,
		Prop,
		Watch
	} from "vue-property-decorator";
	
	@Component({})
	export default class Me extends Vue {
		private heights:string = 'height: 375rpx;'
		@Prop({
			// 父组件传递给子组件的数据类型
			type: Object,

			// 是否必填
			required: false,

			// 默认值， 如果传入的是 Object，则要 default: ()=>({}) 参数为函数
			default: () => ({
				height: '40vh',
				bg: {},
				swiperArr: [],
			})
		}) config!: swiper.configMod;
		
		

		// 点击图片进行跳转
		imgClick(e: any) {
			let {
				link
			} = e.target.dataset;
			// console.info(link)
			// wx.navigateTo({
			// 	url: link
			// });
		}
		
		onLaunch(){
			// console.info(111)
		}
		
		// style
		styleobjTostring(obj: any){
			let arr = []
			for(let key in obj){
				arr.push(`${key}: ${obj[key]}`)
			}
			// console.info(arr)
			return arr.join(';')
		}
	}
</script>

<style lang="scss" scoped>
	
</style>
